Uploaded image for project: 'ONOS'
  1. ONOS
  2. ONOS-2907

Create an init script compatible with new and old OSs (Ubuntu, Debian, CentOS, Fedora)

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Closed (View Workflow)
    • Priority: Critical
    • Resolution: Done
    • Affects Version/s: 1.5.0
    • Fix Version/s: 1.6.0
    • Component/s: None
    • Labels:
    • Environment:

      ubuntu<15, ubuntu >= 15, CentOS, Fedora environments

    • Story Points:
      3
    • Epic Link:
    • Sprint:
      Emu Sprint 4 (11/23-12/18), Goldeneye Green Sprint #2

      Description

      Currently, CentOS6 can't use the init script (onos.conf), since it requires extra packages, not installed by default in the system.
      Also, the same script doesn't work on Ubuntu 15.04 and CentOS7, since they both moved their default service framework to systemd

      For Ubuntu, please use as reference http://askubuntu.com/questions/614970/vivid-failed-to-connect-to-upstart-connection-refused.

      For CentOS7, reference to https://linuxacademy.com/blog/linux/centos-7-take-the-plunge-into-systemd/

      We should create an init script compatible at least with all the systems mentioned above.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              • Assignee:
                lantz Bob Lantz
                Reporter:
                luca Luca Prete
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: